package com.xefer.rebel;

import org.w3c.dom.*;
 
/**
 * Handles bookmark specific processing
 */
 
class XBELBookmark extends XBELElement {

  /**
   * constructor
   *
   * @param element the XML element that this class encapsulates
   */

  public XBELBookmark(Element element) {
    super(element);  
  }
  
  /**
   * constructor
   *
   * @param document the XML document that owns the element that this class encapsulates
   */
   
  public XBELBookmark(Document document) {
  
    this.element = document.createElement("bookmark");
  
  }
  
  /**
   * Returns the resource Location URL based on the current url and the 
   * resource type
   *
   * @param url StringBuffer the URL location of the parent resource
   * @returns String
   */
   
  public String getLocationUrl(StringBuffer url) {
    
    return url.append(getId()).toString();
  
  }
  
  /**
   * Returns true if this XBELElement is directly locatable through a URL.  For
   * bookmark elements this is true.
   *
   * @returns boolean
   */
     
  public boolean isLocatable() {
    
    return true;
    
  }

}